import type { HighlighterCore, LanguageRegistration, ThemeInput } from '@shikijs/types';
interface ShikiContextValue {
    highlighter: HighlighterCore | null;
    isReady: boolean;
    error: Error | null;
}
interface ShikiProviderProps {
    children: React.ReactNode;
    initialLanguages: LanguageRegistration[];
    initialThemes: ThemeInput[];
}
export declare function ShikiProvider({ children, initialLanguages, initialThemes }: ShikiProviderProps): import("react").JSX.Element;
export declare function useShiki(): ShikiContextValue;
export {};
//# sourceMappingURL=SyntaxContext.d.ts.map